For the complete documentation index, see llms.txt. This page is also available as Markdown.

Chatbot Deployments

Retrieves the status of active deployments for all environments.

get

Required Permission: chatbots.deployments.status

Resource: chatbots/:chatbotId

Authorizations
x-chatcaptain-keystringRequired
Path parameters
chatbotIdstringRequired

The ID of the chatbot.

Responses
200

The status of deployments for the test, prod, and dev environments.

application/json
errorstringOptional

An optional error message.

get/v1/chatbots/{chatbotId}/deployments/status
GET /v1/chatbots/{chatbotId}/deployments/status HTTP/1.1
Host: api.chatcaptain.com
x-chatcaptain-key: YOUR_API_KEY
Accept: */*
{
  "test": {
    "id": "dply59aBv7wzR9cxd1Pxyz",
    "version": "1.2.3",
    "deployed": "2025-09-29T10:00:00Z",
    "modelId": "modlKq8BxZaJd2wZR9cxd1P"
  },
  "prod": {
    "id": "dply59aBv7wzR9cxd1Pxyz",
    "version": "1.2.3",
    "deployed": "2025-09-29T10:00:00Z",
    "modelId": "modlKq8BxZaJd2wZR9cxd1P"
  },
  "dev": {
    "id": "dply59aBv7wzR9cxd1Pxyz",
    "version": "1.2.3",
    "deployed": "2025-09-29T10:00:00Z",
    "modelId": "modlKq8BxZaJd2wZR9cxd1P"
  },
  "error": "text"
}

Last updated